petsc-3.4.2 2013-07-02

# PCSetDM

Sets the DM that may be used by some preconditioners

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSetDM(PC pc,DM dm)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| dm | - the dm

### See Also

PCGetDM(), KSPSetDM(), KSPGetDM()

Level:intermediate
Location:src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex38.c.html
src/ksp/ksp/examples/tutorials/ex39.c.html
src/ksp/ksp/examples/tutorials/ex40.c.html